Post
/user/updateProfileByEmail
Updates a user identified via email. Updates all data stored in the attributes with the information saved in the attribute list. This method only changes the information that is explicitly mentioned. Attributes that are not mentioned are not changed (there is also a replace method to change the entire profile of a user and to delete attribute values if the attribute is not mentioned for the user).
Request body example:
[
{"name" : "user.firstname", "value" : "John"},
{"name" : "user.lastname", "value" : "Smith"}
]
Request body example - erase mobile number:
[
{"name" : "user.MobileNumber", "value" : null}
]
Maximum character lengths for standard attribute values:
FirstName: 50LastName: 50Nickname: 20ZipCode: 10Identifier: 2000Photo: 2000
Email, MobileNumber, ISOCountryCode, ISOLanguageCode, TimeZone, Title, DateOfBirth) are validated by format/enum, not by length. Note that Email is stored in a column of length 129.Custom attribute values are limited to 2000 characters.
Values exceeding these limits are rejected with HTTP 400 (
INVALID_PARAMETER); during contact import, oversized values are silently truncated.
Query parameters
email
string
Email of the user
Body parameters
Array of object
object
name
string
value
string
Responses
204
400
Email address not existing in the Engage system provided as a parameter.
Example:
{
"errorActor": "CLIENT",
"errorCode": "NO_SUCH_OBJECT",
"message": "User with email=no.email@example.com does not exist.",
"objectType": "User",
"propertyName": "email",
"propertyValue": "no.email@example.com"
}